<?php
// -------------------------------------------------------------------------
//   AbiBase - XOOPS Module by Mario Nenno, GNU GPL Licenced
//            File: abibase/admin/index.php
//
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

/**
  * Remember:
  *  if using vars from get-params use queryF() instead of query()
  */

include '../../../include/cp_header.php';
if ( file_exists("../language/".$xoopsConfig['language']."/main.php") ) {
	include "../language/".$xoopsConfig['language']."/main.php";
} else {
	include "../language/english/main.php";
}
// application specific functions
include '../include/functions.php';

include_once XOOPS_ROOT_PATH.'/class/xoopstree.php';
include_once XOOPS_ROOT_PATH."/class/xoopslists.php";
include_once XOOPS_ROOT_PATH."/include/xoopscodes.php";
include_once XOOPS_ROOT_PATH.'/class/module.errorhandler.php';
$myts =& MyTextSanitizer::getInstance();
$eh = new ErrorHandler;


/**
  *  Admin Menu
  **/
function displayAdminMenu()
{
	global $xoopsDB, $xoopsModule, $HTTP_POST_VARS;	
	xoops_cp_header();
	
	// Header
	echo "<h3 align=\"center\">"._MD_ABBADMIN."</h3>";

	// count records in DB
	$numSchools   = getCounter('school');
	$numStudents = getCounter('students');
	$numTeachers = getCounter('teachers');
	$numMeetings = getCounter('meetings');

	// Table
	echo"<table width='100%' border='0' cellspacing='1' class='outer'>"
		."<tr class=\"odd\"><td>";
	// list of functions
	echo " - <a href=index.php?op=School>"._MD_ADMIN_SCHOOL."</a> ($numSchools)";
	echo "<br /><br />";
	echo " - <a href=index.php?op=Students>"._MD_ADMIN_STUDENTS."</a>  ($numStudents)";
	echo "<br /><br />";
	echo " - <a href=index.php?op=Teachers>"._MD_ADMIN_TEACHERS."</a>  ($numTeachers)";
	echo "<br /><br />";
	echo " - <a href=index.php?op=Meetings>"._MD_ADMIN_MEETINGS."</a>  ($numMeetings)";
	echo "<br /><br />";
	// end table
   	echo"</td></tr></table>";
		
	xoops_cp_footer();
}

function editSchool()
{
	global $xoopsDB, $myts;
	// -------------- standard page header ---------
	xoops_cp_header();
	echo "<h3 align='center'><a href='index.php'>"._MD_ABBADMIN.'</a> - '. _MD_ADMIN_SCHOOL. "</h3>";


	$numSchools   = getCounter('school');	
	$isInsert = false;
	$isUpdate = false;
	if ($numSchools == 0) {
		$isInsert = true;
		$submitButtonText = _MD_ACT_INSERT;

	} elseif ($numSchools == 1) {
		$isUpdate = true;
		$submitButtonText = _MD_ACT_UPDATE;

		$sql = "SELECT * FROM ".$xoopsDB->prefix("abibase_school");
	   	$result = $xoopsDB->query($sql, 1); // just the first record!
		$db_row = $xoopsDB->fetchArray($result);
		
	} elseif( $numSchools > 1) {
		$msg = "<p align=\"center\">WARNING: There are more than one school in the DB.<br \>";
		$msg .= "Delete the others and leave just one!</p>";
		print $msg;
	} // if $numSchools

			
	// define form elements
	include_once XOOPS_ROOT_PATH.'/class/xoopsformloader.php';
	$el_school_id =
		new XoopsFormLabel('ID',  $db_row["school_id"]);

	$el_school_name =
		new XoopsFormText(_COL_SCHOOLNAME, 'school_name', 50, 100,
			$myts->makeTboxData4Edit( $db_row["school_name"]) );
			
	$el_school_type =
		new XoopsFormText(_COL_SCHOOLTYPE, 'school_type', 50, 200,
			$myts->makeTboxData4Edit( $db_row["school_type"]) );

	$el_school_city =
		new XoopsFormText(_COL_CITY, 'school_city', 50, 80, $db_row["school_city"]);

	$el_school_zip =
		new XoopsFormText(_COL_ZIP, 'school_zip', 15, 15, $db_row["school_zip"]);

	$el_school_address =
		new XoopsFormText(_COL_ADDRESS, 'school_address', 50, 100, $db_row["school_address"]);

	$el_school_state =
		new XoopsFormText(_COL_STATE, 'school_state', 50, 80, $db_row["school_state"]);

	$el_school_country =
		new XoopsFormText(_COL_COUNTRY, 'school_country', 50, 100, $db_row["school_country"]);
		
	$el_school_url =
		new XoopsFormText(_COL_HOMEPAGE, 'school_url', 50, 200,
			$myts->makeTboxData4Edit($db_row["school_url"]) );

	$el_school_lastyear =
		new XoopsFormText(_COL_LASTYEAR, 'school_lastyear', 5, 5, $db_row["school_lastyear"]);

	$op_hidden  = new XoopsFormHidden("op", "insUpdSchool");
	
	if ($isUpdate) $id_hidden  = new XoopsFormHidden("school_id",  $db_row["school_id"]);

	$el_submit =
		new XoopsFormButton('', 'school_update', $submitButtonText, 'submit');

	// add elements to form object
	$form = new XoopsThemeForm(_MD_ADMIN_SCHOOL_EDIT, 'school_form', 'index.php');
	$form->addElement($el_school_name, true);
	$form->addElement($el_school_type);
	$form->addElement($el_school_city, true);
	$form->addElement($el_school_zip);
	$form->addElement($el_school_address);
	$form->addElement($el_school_state);
	$form->addElement($el_school_country, true);
	$form->addElement($el_school_url);
	$form->addElement($el_school_lastyear);
	$form->addElement($op_hidden);
	if ($isUpdate) $form->addElement($id_hidden);
	$form->addElement($el_submit);


	// display the form
	echo"<table width='100%' border='0' cellspacing='1' class='outer'>";
	$form->display();
	echo "</table>\n";

	// -------------- standard page footer ---------
	xoops_cp_footer();
}

function insUpdSchool()
{
	/* ======== remove header and footer in the end ====== */
	global $HTTP_POST_VARS, $xoopsDB, $myts;
	xoops_cp_header();	

	// pass parameter values to application variables
	foreach ($HTTP_POST_VARS as $k => $v) {
		${$k} = $v;
	}
	
	if ( isset($school_name) && !empty($school_name)) {
		$school_name =  quoteString4DB($myts->makeTboxData4Save(trim($school_name)));
	} else {
		$school_name = '';
	}
	if ( isset($school_type) && !empty($school_type)) {
		$school_type = quoteString4DB($myts->makeTboxData4Save(trim($school_type)));
	} else {
		$school_type = 'null';
	}

	if ( isset($school_city) && !empty($school_city)) {
		$school_city = quoteString4DB($myts->makeTboxData4Save(trim($school_city)));
	} else {
		$school_city = '';
	}
	
	if ( isset($school_address) && !empty($school_address)) {
		$school_address = quoteString4DB($myts->makeTboxData4Save(trim($school_address)));
	} else {
		$school_address = 'null';
	}

	if ( isset($school_zip) && !empty($school_zip)) {
		$school_zip = quoteString4DB($myts->makeTboxData4Save(trim($school_zip)));
	} else {
		$school_zip = 'null';
	}

	if ( isset($school_state) && !empty($school_state)) {
		$school_state = quoteString4DB($myts->makeTboxData4Save(trim($school_state)));
	} else {
		$school_state = 'null';
	}

	if ( isset($school_country) && !empty($school_country)) {
		$school_country = quoteString4DB($myts->makeTboxData4Save(trim($school_country)));
	} else {
		$school_country = '';
	}

	if ( isset($school_url) && !empty($school_url)) {
		$school_url = quoteString4DB($myts->makeTboxData4Save(trim($school_url)));
	} else {
		$school_url = 'null';
	}

	if ( isset($school_lastyear) && !empty($school_lastyear)) {
		$school_lastyear = intval((trim($school_lastyear)));
	} else {
		$school_lastyear = 1960;
	}

	// if no record in DB make insert else update
	$tableName = $xoopsDB->prefix("abibase_school");
	if (!$school_id) {
		// === INSERT statement ====
		$sql = "INSERT INTO $tableName (";
		$sql .= "school_id,  school_name,  school_type,  ";
		$sql .= "school_address,  school_city,  school_state,  ";
		$sql .= "school_zip, school_country, school_url,  ";
		$sql .= "school_lastyear";
		$sql .= ") VALUES (";
		$sql .= "1, $school_name, $school_type, ";
		$sql .= "$school_address, $school_city, $school_state, ";
		$sql .= "$school_zip, $school_country, $school_url, ";
		$sql .= "$school_lastyear";
		$sql .= ")";

	} else {
		// === UPDATE statement ====
		$sql = "UPDATE $tableName SET ";
		$sql .= "school_name = $school_name, ";
		$sql .= "school_type = $school_type, ";
		$sql .= "school_address = $school_address, ";
		$sql .= "school_city = $school_city, ";
		$sql .= "school_state = $school_state, ";
		$sql .= "school_zip = $school_zip, ";
		$sql .= "school_country = $school_country, ";
		$sql .= "school_url = $school_url, ";
		$sql .= "school_lastyear = $school_lastyear ";
		$sql .= " WHERE school_id=". $school_id;
		
	} // if $schoo_id
	
	if ($xoopsDB->query($sql)) {
		redirect_header("index.php", 1, 'OK');
	} else {
		print "Error in Insert/Update";
	}
	
	xoops_cp_footer();
	exit();
}

function listStudents()
{
	global $xoopsDB, $myts;
	xoops_cp_header();	

	$numStudents = getCounter('students');
	// table header
	echo "<h3 align='center'><a href='index.php'>"._MD_ABBADMIN.'</a> - '. _MD_ADMIN_STUDENTS ." ($numStudents) </h3>
	<form action='index.php' method='post' name='studentlist'>
	<table width='100%' border='0' cellspacing='1' cellpadding='0' class='outer'>
	<tr>
	<th width='5%' align='center'>" . _COL_ID ."</th>
	<th width='30%' align='center'>". _COL_NAME ."</th>
	<th width='10%' align='center'>". _COL_TITLE ."</th>
	<th width='30%' align='center'>". _COL_EMAILPRIVATE ."</th>
	<th>&nbsp;</th>
	</tr>";
	// table data rows
	if ( $numStudents >= 1)
	{
		$sql = "SELECT * FROM ".$xoopsDB->prefix("abibase_students") ." ORDER BY stud_lastname";
	   	$result = $xoopsDB->query($sql);
		while( $db_row = $xoopsDB->fetchArray($result) )
			$db_rows[] = $db_row;

		$class = 'odd';
		foreach ($db_rows as $i => $row) {
			// prepare
			$class = ($class == 'odd') ? 'even' : 'odd';
			$urlEdit = "index.php?op=editStudent&stud_id=". $row["stud_id"];
			$urlDelete = "index.php?op=deleteStudent&stud_id=". $row["stud_id"];
			
			if ($row["stud_lastname"] && !empty( $row["stud_firstname"]) ) {
				$student_name = $row["stud_lastname"].', '. $row["stud_firstname"];
			} else {
				$student_name = $row["stud_lastname"];
			}
			
			// construct
			$drow = "<tr  class='$class'>";
			$drow .= "<td align='right'>". $row["stud_id"] ."</td>";
			$drow .= "<td>". $student_name ."</td>";
			$drow .= "<td>". $row["stud_title"] ."</td>";
			$drow .= "<td>". $row["stud_email_private"] ."</td>";		
			$drow .= "<td><a href='$urlEdit'>". _MD_ACT_EDIT."</a> - ".
				      "<a href='$urlDelete'>". _MD_ACT_DELETE ."</a></td>";
			$drow .="</tr>";
			// display
			print $drow;
		} // foreach
	} // if $numMeetings
	
	// Link to add a new meeting in the last row
	$class = ($class == 'odd') ? 'even' : 'odd';
	$addrow = "<tr class='$class'><td colspan='5' align='center'>
	<input type='button' name='button' onclick=\"location='index.php?op=newStudent'\" value='". _MD_ACT_ADD."'>
	</td><tr>";
	print $addrow;

	// table End
	echo "</table>\n";
	echo "</form>";

	// -------------- standard page footer ---------
	xoops_cp_footer();
}

function newStudent()
{
	xoops_cp_header();
	echo "<h3 align='center'><a href='index.php'>"._MD_ABBADMIN.'</a> - '. _MD_ADMIN_STUDENTS ."</h3>";

	// define form elements
	include_once XOOPS_ROOT_PATH.'/class/xoopsformloader.php';

	$el_stud_firstname  = new XoopsFormText((_COL_FIRSTNAME.' *'), 'stud_firstname', 50, 50, '');
	$el_stud_lastname   = new XoopsFormText((_COL_LASTNAME.' *'), 'stud_lastname', 50, 50, '');
	$el_stud_lastname_new  = new XoopsFormText(_COL_LASTNAMENEW, 'stud_lastname_new', 50, 50, '');
	$el_stud_title          = new XoopsFormText(_COL_TITLE, 'stud_title', 10, 10, '');
	$el_stud_street = new XoopsFormText(_COL_STREET, 'stud_street', 50, 60, '');
	$el_stud_zip     = new XoopsFormText(_COL_ZIP, 'stud_zip', 10, 10, '');
	$el_stud_city    = new XoopsFormText(_COL_CITY, 'stud_city', 50, 50, '');
	$el_stud_state  = new XoopsFormText(_COL_STATE, 'stud_state', 5, 5, '');
	$el_stud_country = new XoopsFormText(_COL_COUNTRYCODE, 'stud_country', 3, 3, '');
	$el_stud_homepage = new XoopsFormText(_COL_HOMEPAGE, 'stud_homepage', 50, 200, 'http://');	
	$el_stud_email_private = new XoopsFormText(_COL_EMAILPRIVATE, 'stud_email_private', 50, 50, '');
	$el_stud_email_work = new XoopsFormText(_COL_EMAILWORK, 'stud_email_work', 50, 50, '');
	$el_stud_phone_private = new XoopsFormText(_COL_PHONEPRIVATE, 'stud_phone_private', 50, 50, '');
	$el_stud_phone_parents = new XoopsFormText(_COL_PHONEPARENTS, 'stud_phone_parents', 50, 50, '');

	$op_hidden        = new XoopsFormHidden("op", "insertStudent");
	$el_submit        = new XoopsFormButton('', 'student_insert', _MD_ACT_ADD, 'submit');

	// add elements to form object
	$form = new XoopsThemeForm(_MD_ADMIN_STUDENTS_ADD, 'student_form', 'index.php');
	$form->addElement($el_stud_firstname, true);
	$form->addElement($el_stud_lastname, true);
	$form->addElement($el_stud_lastname_new);
	$form->addElement($el_stud_title);
	$form->addElement($el_stud_street);
	$form->addElement($el_stud_zip);
	$form->addElement($el_stud_city);
	$form->addElement($el_stud_state);
	$form->addElement($el_stud_country);
	$form->addElement($el_stud_homepage);
	$form->addElement($el_stud_email_private);
	$form->addElement($el_stud_email_work);
	$form->addElement($el_stud_phone_private);
	$form->addElement($el_stud_phone_parents);

	$form->addElement($op_hidden);
	$form->addElement($el_submit);

	// display the form
	echo"<table width='100%' border='0' cellspacing='1' class='outer'>";
	$form->display();
	echo "</table>\n";
	
	xoops_cp_footer();
	
}
function editStudent()
{
	global $xoopsDB, $myts;

	xoops_cp_header();
	$tableName = $xoopsDB->prefix("abibase_students");	
	
	echo "<h3 align='center'><a href='index.php'>"._MD_ABBADMIN.'</a> - '. _MD_ADMIN_STUDENTS ."</h3>";

	if ( !isset($_GET["stud_id"]) ) {
		// dummy
	} else {
		$stud_id = $_GET["stud_id"];

		$sql = "SELECT * FROM ". $tableName ." WHERE stud_id = ". $stud_id;
		$result = $xoopsDB->query($sql); // just one/first record!
		$db_row = $xoopsDB->fetchArray($result);

		// define form elements
		include_once XOOPS_ROOT_PATH.'/class/xoopsformloader.php';

		$el_stud_id	= new XoopsFormLabel(_COL_ID, $stud_id);

		$el_stud_firstname  =
			new XoopsFormText((_COL_FIRSTNAME.' *'), 'stud_firstname', 50, 50,
				$myts->makeTboxData4Edit($db_row["stud_firstname"]) );
				
		$el_stud_lastname =
			new XoopsFormText((_COL_LASTNAME.' *'), 'stud_lastname', 50, 50,
			$myts->makeTboxData4Edit($db_row["stud_lastname"]) );
			
		$el_stud_lastname_new  =
			new XoopsFormText(_COL_LASTNAMENEW, 'stud_lastname_new', 50, 50,
				$myts->makeTboxData4Edit($db_row["stud_lastname_new"]) );
			
		$el_stud_title =
			new XoopsFormText(_COL_TITLE, 'stud_title', 10, 10,
				$myts->makeTboxData4Edit($db_row["stud_title"]) );
			
		$el_stud_street =
			new XoopsFormText(_COL_STREET, 'stud_street', 50, 60,
				$myts->makeTboxData4Edit($db_row["stud_street"]) );
			
		$el_stud_zip =
			new XoopsFormText(_COL_ZIP, 'stud_zip', 10, 10,
				$myts->makeTboxData4Edit($db_row["stud_zip"]) );
			
		$el_stud_city =
			new XoopsFormText(_COL_CITY, 'stud_city', 50, 50,
				$myts->makeTboxData4Edit($db_row["stud_city"]) );
			
		$el_stud_state  =
			new XoopsFormText(_COL_STATE, 'stud_state', 5, 5,
				$myts->makeTboxData4Edit($db_row["stud_state"]) );
				
		$el_stud_country =
			new XoopsFormText(_COL_COUNTRYCODE, 'stud_country', 3, 3,
				$myts->makeTboxData4Edit($db_row["stud_country"]) );
			
		$el_stud_homepage =
			new XoopsFormText(_COL_HOMEPAGE, 'stud_homepage', 50, 200,
				$myts->makeTboxData4Edit($db_row["stud_homepage"]) );
				
		$el_stud_email_private =
			new XoopsFormText(_COL_EMAILPRIVATE, 'stud_email_private', 50, 50,
				$myts->makeTboxData4Edit($db_row["stud_email_private"]) );
				
		$el_stud_email_work =
			new XoopsFormText(_COL_EMAILWORK, 'stud_email_work', 50, 50,
				$myts->makeTboxData4Edit($db_row["stud_email_work"]) );
			
		$el_stud_phone_private =
			new XoopsFormText(_COL_PHONEPRIVATE, 'stud_phone_private', 50, 50,
				$myts->makeTboxData4Edit($db_row["stud_phone_private"]) );
			
		$el_stud_phone_parents =
			new XoopsFormText(_COL_PHONEPARENTS, 'stud_phone_parents', 50, 50,
				$myts->makeTboxData4Edit($db_row["stud_phone_parents"]) );

		$el_stud_date_insert	= new XoopsFormLabel(_COL_DATEINSERT, $db_row["stud_date_insert"]);
		$el_stud_date_update = new XoopsFormLabel(_COL_DATEUPDATE, $db_row["stud_date_update"]);

		$id_hidden  = new XoopsFormHidden("stud_id", $stud_id);
		$op_hidden = new XoopsFormHidden("op", "updateStudent");
		$el_submit  = new XoopsFormButton('', 'student_update', _MD_ACT_UPDATE, 'submit');

		// add elements to form object
		$form = new XoopsThemeForm(_MD_ADMIN_STUDENTS_EDIT, 'student_form', 'index.php');
		$form->addElement($el_stud_firstname, true);
		$form->addElement($el_stud_lastname, true);
		$form->addElement($el_stud_lastname_new);
		$form->addElement($el_stud_title);
		$form->addElement($el_stud_street);
		$form->addElement($el_stud_zip);
		$form->addElement($el_stud_city);
		$form->addElement($el_stud_state);
		$form->addElement($el_stud_country);
		$form->addElement($el_stud_homepage);
		$form->addElement($el_stud_email_private);
		$form->addElement($el_stud_email_work);
		$form->addElement($el_stud_phone_private);
		$form->addElement($el_stud_phone_parents);
		$form->addElement($el_stud_id);
		$form->addElement($el_stud_date_insert);
		$form->addElement($el_stud_date_update);


		$form->addElement($id_hidden);
		$form->addElement($op_hidden);
		$form->addElement($el_submit);

		// display the form
		echo"<table width='100%' border='0' cellspacing='1' class='outer'>";
		$form->display();
		echo "</table>\n";
	} // if $stud_id
	
	xoops_cp_footer();
	
}
function insUpdStudent($mode)
{
	global $HTTP_POST_VARS, $xoopsDB, $myts;

	$tableName = $xoopsDB->prefix("abibase_students");
	xoops_cp_header();

	if ($mode == "insert" || $mode == "update" ) {

		// pass parameter values to application variables
		foreach ($HTTP_POST_VARS as $k => $v)
			${$k} = $v;
	
		// ------------------- prepare values --------------
		if ( isset($stud_firstname) && !empty($stud_firstname)) {
			$stud_firstname =  quoteString4DB($myts->makeTboxData4Save(trim($stud_firstname)));
		} else {
			$stud_firstname = '';
		}

		if ( isset($stud_lastname) && !empty($stud_lastname) ) {
			$stud_lastname =  quoteString4DB($myts->makeTboxData4Save(trim($stud_lastname)));
		} else {
			$stud_lastname = '';
		}
	
		if ( isset($stud_lastname_new)  && !empty($stud_lastname_new) ) {
			$stud_lastname_new =  quoteString4DB($myts->makeTboxData4Save(trim($stud_lastname_new)));
		} else {
			$stud_lastname_new = 'null';
		}
	
		if ( isset($stud_title) && !empty($stud_title) ) {
			$stud_title =  quoteString4DB($myts->makeTboxData4Save(trim($stud_title)));
		} else {
			$stud_title = 'null';
		}
	
		if ( isset($stud_street)  && !empty($stud_street) ) {
			$stud_street =  quoteString4DB($myts->makeTboxData4Save(trim($stud_street)));
		} else {
			$stud_street = 'null';
		}

		if ( isset($stud_zip) && !empty($stud_zip) ) {
			$stud_zip =  quoteString4DB($myts->makeTboxData4Save(trim($stud_zip)));
		} else {
			$stud_zip = 'null';
		}

		if ( isset($stud_city) && !empty($stud_city) ) {
			$stud_city =  quoteString4DB($myts->makeTboxData4Save(trim($stud_city)));
		} else {
			$stud_city = 'null';
		}

		if ( isset($stud_state) && !empty($stud_state) ) {
			$stud_state =  quoteString4DB($myts->makeTboxData4Save(trim($stud_state)));
		} else {
			$stud_state = 'null';
		}

		if ( isset($stud_country) && !empty($stud_country) ) {
			$stud_country =  quoteString4DB($myts->makeTboxData4Save(trim($stud_country)));
		} else {
			$stud_country = quoteString4DB('ZZ');
		}

		if ( isset($stud_homepage) && !empty($stud_homepage) ) {
			$stud_homepage =  quoteString4DB($myts->makeTboxData4Save(trim($stud_homepage)));
		} else {
			$stud_homepage = 'null';
		}
		
		if ( isset($stud_email_private) && !empty($stud_email_private) ) {
			$stud_email_private =  quoteString4DB($myts->makeTboxData4Save(trim($stud_email_private)));
		} else {
			$stud_email_private = 'null';
		}
		
		if ( isset($stud_email_work) && !empty($stud_email_work) ) {
			$stud_email_work =  quoteString4DB($myts->makeTboxData4Save(trim($stud_email_work)));
		} else {
			$stud_email_work = 'null';
		}
		
		if ( isset($stud_phone_private) && !empty($stud_phone_private) ) {
			$stud_phone_private =  quoteString4DB($myts->makeTboxData4Save(trim($stud_phone_private)));
		} else {
			$stud_phone_private = 'null';
		}
		
		if ( isset($stud_phone_parents) && !empty($stud_phone_parents) ) {
			$stud_phone_parents =  quoteString4DB($myts->makeTboxData4Save(trim($stud_phone_parents)));
		} else {
			$stud_phone_parents = 'null';
		}

		// ---  insert and update date ---
		$today =  date('Y-m-d');
		$insert_date = quoteString4DB($today);
		$update_date = $insert_date;
		
                // ------------------- make statement --------------
		if ($mode == 'insert') {
			// === INSERT statement ====
			$sql = "INSERT INTO $tableName (";
			$sql .= "stud_firstname,  stud_lastname,  stud_lastname_new,  ";
			$sql .= "stud_title,  stud_street,  stud_zip, ";
			$sql .= "stud_city,  stud_state,  stud_country, ";
			$sql .= "stud_homepage,  stud_email_private,  stud_email_work, ";
			$sql .= "stud_phone_private,  stud_phone_parents,  ";
			$sql .= "stud_date_insert";
			$sql .= ") VALUES (";
			$sql .= "$stud_firstname, $stud_lastname, $stud_lastname_new, ";
			$sql .= "$stud_title, $stud_street, $stud_zip, ";
			$sql .= "$stud_city, $stud_state, $stud_country, ";
			$sql .= "$stud_homepage, $stud_email_private, $stud_email_work, ";
			$sql .= "$stud_phone_private, $stud_phone_parents, ";
			$sql .= "$insert_date";
			$sql .= ")";

		} elseif ($stud_id && $mode='update') {

			// === UPDATE statement ====
			$sql = "UPDATE $tableName SET ";
			$sql .= "stud_firstname = $stud_firstname, ";
			$sql .= "stud_lastname = $stud_lastname, ";
			$sql .= "stud_lastname_new = $stud_lastname_new, ";
			$sql .= "stud_title = $stud_title, ";
			$sql .= "stud_street = $stud_street, ";
			$sql .= "stud_zip = $stud_zip, ";			
			$sql .= "stud_city = $stud_city, ";			
			$sql .= "stud_state = $stud_state, ";
			$sql .= "stud_country = $stud_country, ";
			$sql .= "stud_homepage = $stud_homepage, ";
			$sql .= "stud_email_private = $stud_email_private, ";
			$sql .= "stud_email_work = $stud_email_work, ";
			$sql .= "stud_phone_private = $stud_phone_private, ";
			$sql .= "stud_phone_parents = $stud_phone_parents, ";
			$sql .= "stud_date_update = $update_date ";
			$sql .= " WHERE stud_id=". $stud_id;	
		} // if $mode
	
		if ($xoopsDB->query($sql)) {
			redirect_header("index.php", 1, 'OK');
		} else {
			$msg = "<p>$sql</p>";
			
			print "Error in Update";
			print $msg;
		}
		exit();		
	
	} else {
		print "Mode $mode was not defined";
		exit;
	}// if $mode insert/update
} // function

function deleteStudent()
{
	global $xoopsDB;
	xoops_cp_header();	

	if( isset($_GET['stud_id']) ) {		
		$stud_id = $_GET['stud_id'];

		$sql = sprintf("DELETE FROM %s WHERE stud_id = %u", $xoopsDB->prefix("abibase_students"), $stud_id );		
		if ( $xoopsDB->queryF($sql) ) {
			redirect_header("index.php", 1, 'OK');
		} else {
			print "Error - Could not delete student ($stud_id)<br  />";
			print $sql;
		}
		exit();
	} // if $stud_id
	xoops_cp_footer();
	exit();

}
function listTeachers()
{
	global $xoopsDB, $myts;
	xoops_cp_header();	

	$numTeachers = getCounter('teachers');
	// table header
	echo "<h3 align='center'><a href='index.php'>"._MD_ABBADMIN.'</a> - '. _MD_ADMIN_TEACHERS ." ($numTeachers) </h3>
	<form action='index.php' method='post' name='teacherlist'>
	<table width='100%' border='0' cellspacing='1' cellpadding='0' class='outer'>
	<tr>
	<th width='5%' align='center'>" . _COL_ID ."</th>
	<th width='30%' align='center'>". _COL_NAME ."</th>
	<th width='10%' align='center'>". _COL_TITLE ."</th>
	<th width='35%' align='center'>". _COL_COURSES ."</th>
	<th>&nbsp;</th>
	</tr>";
	// table data rows
	// $numTeacher  = getCounter('teachers');	
	if ( $numTeachers  >= 1 )
	{
		$sql = "SELECT * FROM ".$xoopsDB->prefix("abibase_teachers") ." ORDER BY teach_lastname";
	   	$result = $xoopsDB->query($sql); // just the first record!
		while( $db_row = $xoopsDB->fetchArray($result) )
			$db_rows[] = $db_row;

		$class = 'odd';
		foreach ($db_rows as $i => $row) {
			// prepare
			$class = ($class == 'odd') ? 'even' : 'odd';
			$urlEdit = "index.php?op=editTeacher&teach_id=". $row["teach_id"];
			$urlDelete = "index.php?op=deleteTeacher&teach_id=". $row["teach_id"];
			
			if ($row["teach_lastname"] && !empty( $row["teach_firstname"]) ) {
				$teacherName = $row["teach_lastname"].', '. $row["teach_firstname"];
			} else {
				$teacherName = $row["teach_lastname"];
			}
			
			// construct
			$drow = "<tr  class='$class'>";
			$drow .= "<td align='right'>". $row["teach_id"] ."</td>";
			$drow .= "<td>". $teacherName ."</td>";
			$drow .= "<td>". $row["teach_title"] ."</td>";
			$drow .= "<td>". $row["teach_courses"] ."</td>";		
			$drow .= "<td><a href='$urlEdit'>". _MD_ACT_EDIT."</a> - ".
				      "<a href='$urlDelete'>". _MD_ACT_DELETE ."</a></td>";
			$drow .="</tr>";
			// display
			print $drow;
		} // foreach
	} // if 
	
	// Link to add a new meeting in the last row
	$class = ($class == 'odd') ? 'even' : 'odd';
	$addrow = "<tr class='$class'><td colspan='5' align='center'>
	<input type='hidden' name='op' value='reorderPartners' />
	<input type='button' name='button' onclick=\"location='index.php?op=newTeacher'\" value='". _MD_ACT_ADD."'>
	</td><tr>";
	print $addrow;

	// table End
	echo "</table>\n";
	echo "</form>";

	// -------------- standard page footer ---------
	xoops_cp_footer();
} // function

function newTeacher()
{
	xoops_cp_header();
	echo "<h3 align='center'><a href='index.php'>"._MD_ABBADMIN.'</a> - '. _MD_ADMIN_TEACHERS ."</h3>";

	// define form elements
	include_once XOOPS_ROOT_PATH.'/class/xoopsformloader.php';

	$el_teach_title          = new XoopsFormText(_COL_TITLE, 'teach_title', 10, 10, '');
	$el_teach_firstname  = new XoopsFormText(_COL_FIRSTNAME, 'teach_firstname', 50, 50, '');
	$el_teach_lastname   = new XoopsFormText((_COL_LASTNAME.'*'), 'teach_lastname', 50, 50, '');
	$el_teach_url            = new XoopsFormText(_COL_HOMEPAGE, 'teach_url', 50, 200, 'http://');
	$el_teach_email        = new XoopsFormText(_COL_EMAIL, 'teach_email', 50, 80, '');
	$el_teach_courses     = new XoopsFormText(_COL_COURSES, 'teach_courses', 50, 150, '');
	$op_hidden               = new XoopsFormHidden("op", "insertTeacher");
	$el_submit               = new XoopsFormButton('', 'teacher_insert', _MD_ACT_ADD, 'submit');

	// add elements to form object
	$form = new XoopsThemeForm(_MD_ADMIN_TEACHERS_ADD, 'teacher_form', 'index.php');
	$form->addElement($el_teach_title);
	$form->addElement($el_teach_firstname);
	$form->addElement($el_teach_lastname, true);
	$form->addElement($el_teach_url);
	$form->addElement($el_teach_email);
	$form->addElement($el_teach_courses);
	$form->addElement($op_hidden);
	$form->addElement($el_submit);

	// display the form
	echo"<table width='100%' border='0' cellspacing='1' class='outer'>";
	$form->display();
	echo "</table>\n";
	
	xoops_cp_footer();
} // function

function insUpdTeacher($mode)
{
	global $HTTP_POST_VARS, $xoopsDB, $myts;

	$tableName = $xoopsDB->prefix("abibase_teachers");
	xoops_cp_header();

	if ($mode == "insert" || $mode == "update" ) {

		// pass parameter values to application variables
		foreach ($HTTP_POST_VARS as $k => $v)
			${$k} = $v;
	
		// ------------------- prepare values --------------
		if ( isset($teach_title) && !empty($teach_title) ) {
			$teach_title =  quoteString4DB($myts->makeTboxData4Save(trim($teach_title)));
		} else {
			$teach_title = 'null';
		}

		if ( isset($teach_firstname) && !empty($teach_firstname) ) {
			$teach_firstname =  quoteString4DB($myts->makeTboxData4Save(trim($teach_firstname)));
		} else {
			$teach_firstname = 'null';
		}
	
		if ( isset($teach_lastname) && !empty($teach_lastname) ) {
			$teach_lastname =  quoteString4DB($myts->makeTboxData4Save(trim($teach_lastname)));
		} else {
			$teach_lastname = '';
		}
	
		if ( isset($teach_url) && !empty($teach_url) ) {
			$teach_url =  quoteString4DB($myts->makeTboxData4Save(trim($teach_url)));
		} else {
			$teach_url = 'null';
		}
	
		if ( isset($teach_email) && !empty($teach_email) ) {
			$teach_email =  quoteString4DB($myts->makeTboxData4Save(trim($teach_email)));
		} else {
			$teach_email = 'null';
		}

		if ( isset($teach_courses) && !empty($teach_courses) ) {
			$teach_courses =  quoteString4DB($myts->makeTboxData4Save(trim($teach_courses)));
		} else {
			$teach_courses = 'null';
		}

		// ------------------- make statement --------------
		if ($mode == 'insert') {
			// === INSERT statement ====
			$sql = "INSERT INTO $tableName (";
			$sql .= "teach_title,  teach_firstname,  teach_lastname,  ";
			$sql .= "teach_url,  teach_email,  teach_courses ";
			$sql .= ") VALUES (";
			$sql .= "$teach_title, $teach_firstname, $teach_lastname, ";
			$sql .= "$teach_url, $teach_email, $teach_courses ";
			$sql .= ")";

		} elseif ($teach_id && $mode='update') {

			// === UPDATE statement ====
			$sql = "UPDATE $tableName SET ";
			$sql .= "teach_title = $teach_title, ";
			$sql .= "teach_firstname = $teach_firstname, ";
			$sql .= "teach_lastname = $teach_lastname, ";
			$sql .= "teach_url = $teach_url, ";
			$sql .= "teach_url = $teach_url, ";
			$sql .= "teach_email = $teach_email, ";			
			$sql .= "teach_courses = $teach_courses ";
			$sql .= " WHERE teach_id=". $teach_id;	
		} // if $mode
	
		if ($xoopsDB->query($sql)) {
			redirect_header("index.php", 1, 'OK');
		} else {
			print "Error in Update";
		}
		exit();		
	
	} else {
		print "Mode $mode was not defined";
		exit;
	}// if $mode insert/update
} // function

function editTeacher()
{
	global $xoopsDB, $myts;
	$tableName = $xoopsDB->prefix("abibase_teachers");	
	xoops_cp_header();
	
	echo "<h3 align='center'><a href='index.php'>"._MD_ABBADMIN.'</a> - '. _MD_ADMIN_TEACHERS ."</h3>";

	if ( !isset($_GET["teach_id"]) ) {
		// dummy
	} else {
		$teach_id = $_GET["teach_id"];
		
		$sql = "SELECT * FROM ". $tableName ." WHERE teach_id = ". $teach_id;
		$result = $xoopsDB->query($sql); // just one/first record!
		$db_row = $xoopsDB->fetchArray($result);

		// define form elements
		include_once XOOPS_ROOT_PATH.'/class/xoopsformloader.php';

		$el_teach_title          =
			new XoopsFormText(_COL_TITLE, 'teach_title', 10, 10,
				$myts->makeTboxData4Edit($db_row["teach_title"]) );
		
		$el_teach_firstname  =
			new XoopsFormText(_COL_FIRSTNAME, 'teach_firstname', 50, 50,
				$myts->makeTboxData4Edit($db_row["teach_firstname"]) );
		
		$el_teach_lastname   =
			new XoopsFormText((_COL_LASTNAME.' *'), 'teach_lastname', 50, 50,
				$myts->makeTboxData4Edit($db_row["teach_lastname"]));
			
		$el_teach_url            =
			new XoopsFormText(_COL_HOMEPAGE, 'teach_url', 50, 200,
				$myts->makeTboxData4Edit($db_row["teach_url"]));
			
		$el_teach_email        =
			new XoopsFormText(_COL_EMAIL, 'teach_email', 50, 80,
				$myts->makeTboxData4Edit($db_row["teach_email"]));
			
		$el_teach_courses     =
			new XoopsFormText(_COL_COURSES, 'teach_courses', 50, 150,
				$myts->makeTboxData4Edit($db_row["teach_courses"]));
			
		$el_teach_id	= new XoopsFormLabel('ID', $teach_id);
			
		$id_hidden = new XoopsFormHidden("teach_id", $teach_id);
		$op_hidden = new XoopsFormHidden("op", "updateTeacher");
		$el_submit  = new XoopsFormButton('', 'teacher_update', _MD_ACT_UPDATE, 'submit');

		// add elements to form object
		$form = new XoopsThemeForm(_MD_ADMIN_TEACHERS_EDIT, 'teacher_form', 'index.php');
		$form->addElement($el_teach_title);
		$form->addElement($el_teach_firstname);
		$form->addElement($el_teach_lastname, true);
		$form->addElement($el_teach_url);
		$form->addElement($el_teach_email);
		$form->addElement($el_teach_courses);
		$form->addElement($el_teach_id);
		$form->addElement($id_hidden);
		$form->addElement($op_hidden);
		$form->addElement($el_submit);

		// display the form
		echo"<table width='100%' border='0' cellspacing='1' class='outer'>";
		$form->display();
		echo "</table>\n";
	
	} // if $teach_id
	
	xoops_cp_footer();
}
function deleteTeacher()
{
	global $xoopsDB;
	xoops_cp_header();	

	if( isset($_GET['teach_id']) ) {		
		$teach_id = $_GET['teach_id'];

		$sql = sprintf("DELETE FROM %s WHERE teach_id = %u", $xoopsDB->prefix("abibase_teachers"), $teach_id );		
		if ( $xoopsDB->queryF($sql) ) {
			redirect_header("index.php", 1, 'OK');
		} else {
			print "Error - Could not delete teacher ($teach_id)<br  />";
			print $sql;
		}
		exit();
	} // if $teach_id
	xoops_cp_footer();
	exit();

}

function listMeetings()
{
	global $xoopsDB, $myts;
	xoops_cp_header();
	
	$numMeetings   = getCounter('meetings');
	
	// table header
	echo "<h3 align='center'><a href='index.php'>"._MD_ABBADMIN.'</a> - '. _MD_ADMIN_MEETINGS ." ($numMeetings) </h3>
	<form action='index.php' method='post' name='meetingslist'>
	<table width='100%' border='0' cellspacing='1' cellpadding='0' class='outer'>
	<tr>
	<th width='5%' align='center'>"._COL_ID."</th>
	<th width='10%' align='center'>"._COL_DATE."</th>
	<th width='*' align='center'>"._COL_LOCATION."</th>
	<th width='25%' align='center'>"._COL_CITY."</th>
	<th>&nbsp;</th>
	</tr>";
	// table data rows
		
	if ($numMeetings >= 1) {
		$sql = "SELECT * FROM ".$xoopsDB->prefix("abibase_meetings") ." ORDER BY meet_date";
	   	$result = $xoopsDB->query($sql); // just the first record!
		while( $db_row = $xoopsDB->fetchArray($result) )
			$db_rows[] = $db_row;

		$class = 'odd';
		foreach ($db_rows as $i => $row) {
			// prepare
			$class = ($class == 'odd') ? 'even' : 'odd';
			$urlEdit = "index.php?op=editMeeting&meet_id=". $row["meet_id"];
			$urlDelete = "index.php?op=deleteMeeting&meet_id=". $row["meet_id"];
			// construct
			$drow = "<tr  class='$class'>";
			$drow .= "<td align='right'>". $row["meet_id"] ."</td>";
			$drow .= "<td>". $row["meet_date"] ."</td>";
			$drow .= "<td>". $row["meet_location"] ."</td>";
			$drow .= "<td>". $row["meet_city"] ."</td>";		
			$drow .= "<td><a href='$urlEdit'>". _MD_ACT_EDIT."</a> - ".
				      "<a href='$urlDelete'>". _MD_ACT_DELETE ."</a></td>";
			$drow .="</tr>";
			// display
			print $drow;
		} // foreach
	} // if $numMeetings

	// Link to add a new meeting in the last row
	$class = ($class == 'odd') ? 'even' : 'odd';
	$addrow = "<tr class='$class'><td colspan='5' align='center'>
	<input type='hidden' name='op' value='reorderPartners' />
	<input type='button' name='button' onclick=\"location='index.php?op=newMeeting'\" value='". _MD_ACT_ADD."'>
	</td><tr>";
	print $addrow;

	// table End
	echo "</table>\n";
	echo "</form>";

	// -------------- standard page footer ---------
	xoops_cp_footer();
}

function newMeeting()
{
	xoops_cp_header();
	echo "<h3 align='center'><a href='index.php'>"._MD_ABBADMIN.'</a> - '. _MD_ADMIN_MEETINGS ."</h3>";
	
	// define form elements
	include_once XOOPS_ROOT_PATH.'/class/xoopsformloader.php';

	$el_meet_date      = new XoopsFormText((_COL_DATE. '*'), 'meet_date', 10, 10, '');
	$el_meet_location = new XoopsFormText(_COL_LOCATION, 'meet_location', 50, 200, '');
	$el_meet_city       = new XoopsFormText((_COL_CITY. '*'), 'meet_city', 50, 80, '');
	$el_meet_zip        = new XoopsFormText(_COL_ZIP, 'meet_zip', 15, 15, '');
	$el_meet_country = new XoopsFormText(_COL_COUNTRY, 'meet_country', 50, 80, '');
	$el_meet_url        = new XoopsFormText(_COL_HOMEPAGE, 'meet_url', 50, 200, '');
	$el_meet_email    = new XoopsFormText(_COL_EMAIL, 'meet_email', 50, 80, '');
	
	$op_hidden  = new XoopsFormHidden("op", "insertMeeting");
	$el_submit =new XoopsFormButton('', 'meeting_insert', _MD_ACT_ADD, 'submit');

	// add elements to form object
	$form = new XoopsThemeForm(_MD_ADMIN_MEETINGS_ADD, 'meeting_form', 'index.php');
	$form->addElement($el_meet_date, true);
	$form->addElement($el_meet_location);
	$form->addElement($el_meet_city, true);
	$form->addElement($el_meet_zip);
	$form->addElement($el_meet_country);
	$form->addElement($el_meet_url);
	$form->addElement($el_meet_email);

	$form->addElement($op_hidden);
	$form->addElement($el_submit);


	// display the form
	echo"<table width='100%' border='0' cellspacing='1' class='outer'>";
	$form->display();
	echo "</table>\n";
	
	xoops_cp_footer();
} // function

function editMeeting()
{
	global $xoopsDB, $myts;
	xoops_cp_header();
	echo "<h3 align='center'><a href='index.php'>"._MD_ABBADMIN .'</a> - '. _MD_ADMIN_MEETINGS."</h3>";
	$tableName = $xoopsDB->prefix("abibase_meetings");

	// pass parameter values to application variables
	if ( !isset($_GET["meet_id"]) ) {
		// dummy
	} else {
		$meet_id = $_GET["meet_id"];
		
		$sql = "SELECT * FROM ". $tableName ." WHERE meet_id = ". $meet_id;
	   	$result = $xoopsDB->query($sql); // just the first record!
		$db_row = $xoopsDB->fetchArray($result);
	
		// define form elements
		include_once XOOPS_ROOT_PATH.'/class/xoopsformloader.php';

		$el_meet_id = new XoopsFormLabel('ID', $meet_id);
		
		$el_meet_date =
			new XoopsFormText( (_COL_DATE. '*'), 'meet_date', 10, 10,
			$myts->makeTboxData4Edit($db_row["meet_date"]) );
			
		$el_meet_location =
			new XoopsFormText(_COL_LOCATION, 'meet_location', 50, 200,
			$myts->makeTboxData4Edit($db_row["meet_location"]) );
			
		$el_meet_city =
			new XoopsFormText( (_COL_CITY.'*'), 'meet_city', 50, 80,
			$myts->makeTboxData4Edit($db_row["meet_city"]) );
			
		$el_meet_zip        =
			new XoopsFormText(_COL_ZIP, 'meet_zip', 15, 15,
			$myts->makeTboxData4Edit($db_row["meet_zip"]) );
			
		$el_meet_country =
			new XoopsFormText(_COL_COUNTRY, 'meet_country', 50, 80,
			$myts->makeTboxData4Edit($db_row["meet_country"]) );
			
		$el_meet_url        =
			new XoopsFormText(_COL_HOMEPAGE, 'meet_url', 50, 200,
			$myts->makeTboxData4Edit($db_row["meet_url"]) );
			
		$el_meet_email =
			new XoopsFormText(_COL_EMAIL, 'meet_email', 50, 80,
			$myts->makeTboxData4Edit($db_row["meet_email"]) );
	
		$id_hidden  = new XoopsFormHidden("meet_id", intval($meet_id) );
		$op_hidden  = new XoopsFormHidden("op", "updateMeeting");
		
		$el_submit =
			new XoopsFormButton('', 'meeting_update', _MD_ACT_UPDATE, 'submit');

		// add elements to form object
		$form = new XoopsThemeForm(_MD_ADMIN_MEETINGS_EDIT, 'meeting_form', 'index.php');
		$form->addElement($el_meet_date, true);
		$form->addElement($el_meet_location);
		$form->addElement($el_meet_city, true);
		$form->addElement($el_meet_zip);
		$form->addElement($el_meet_country);
		$form->addElement($el_meet_url);
		$form->addElement($el_meet_email);
		$form->addElement($el_meet_id);

		$form->addElement($id_hidden);
		$form->addElement($op_hidden);
		$form->addElement($el_submit);


		// display the form
		echo"<table width='100%' border='0' cellspacing='1' class='outer'>";
		$form->display();
		echo "</table>\n";
	} // else-if $meet_id
	
	xoops_cp_footer();
} // function

function insUpdMeeting($mode)
{
	global $HTTP_POST_VARS, $xoopsDB, $myts;
	$meet_date_default = '1960-01-11';

	$tableName = $xoopsDB->prefix("abibase_meetings");
	xoops_cp_header();

	/* --- abibase_meetings ----------
	meet_id int(11) unsigned NOT NULL auto_increment,
	meet_date date default NULL,
	meet_location varchar(200) default NULL,
	meet_city varchar(80) NOT NULL default '',
	meet_zip varchar(15) default NULL,
	meet_country varchar(80) default NULL,
	meet_url varchar(250) default NULL,
	meet_email varchar(80) default NULL	*/  
	
	if ($mode == "insert" || $mode == "update" ) {

		// pass parameter values to application variables
		foreach ($HTTP_POST_VARS as $k => $v)
			${$k} = $v;
		
		// ------------------- prepare values --------------
		if ( isset($meet_date)) {
			$meet_date =  quoteString4DB($myts->makeTboxData4Save(trim($meet_date)));
		} else {
			$meet_date = $meet_date_default;
		}

		if ( isset($meet_location)) {
			$meet_location =  quoteString4DB($myts->makeTboxData4Save(trim($meet_location)));
		} else {
			$meet_location = null;
		}
	
		if ( isset($meet_city)) {
			$meet_city =  quoteString4DB($myts->makeTboxData4Save(trim($meet_city)));
		} else {
			$meet_city = null;
		}
	
		if ( isset($meet_zip)) {
			$meet_zip =  quoteString4DB($myts->makeTboxData4Save(trim($meet_zip)));
		} else {
			$meet_zip = null;
		}
	
		if ( isset($meet_country)) {
			$meet_country =  quoteString4DB($myts->makeTboxData4Save(trim($meet_country)));
		} else {
			$meet_country = null;
		}
	
		if ( isset($meet_url)) {
			$meet_url =  quoteString4DB($myts->makeTboxData4Save(trim($meet_url)));
		} else {
			$meet_url = null;
		}
	
		if ( isset($meet_email)) {
			$meet_email =  quoteString4DB($myts->makeTboxData4Save(trim($meet_email)));
		} else {
			$meet_email = null;
		}
		

		// ------------------- make statement --------------
		if ($mode == 'insert') {
			// === INSERT statement ====
			$sql = "INSERT INTO $tableName (";
			$sql .= "meet_date,  meet_location,  meet_city,  ";
			$sql .= "meet_zip,  meet_country,  meet_url,  ";
			$sql .= "meet_email";
			$sql .= ") VALUES (";
			$sql .= "$meet_date, $meet_location, $meet_city, ";
			$sql .= "$meet_zip, $meet_country, $meet_url, ";
			$sql .= "$meet_email";
			$sql .= ")";

		} elseif ($meet_id && $mode='update') {

			// === UPDATE statement ====
			$sql = "UPDATE $tableName SET ";
			$sql .= "meet_date = $meet_date, ";
			$sql .= "meet_location = $meet_location, ";
			$sql .= "meet_city = $meet_city, ";
			$sql .= "meet_zip = $meet_zip, ";
			$sql .= "meet_country = $meet_country, ";
			$sql .= "meet_url = $meet_url, ";
			$sql .= "meet_email = $meet_email";			
			$sql .= " WHERE meet_id=". $meet_id;	
		} // if $mode
	
		if ($xoopsDB->query($sql)) {
			redirect_header("index.php", 1, 'OK');
		} else {
			print "Error in Update";
		}
		exit();		
	
	} else {
		print "Mode $mode was not defined";
		exit;
	}// if $mode insert/update
} // function

function deleteMeeting()
{
	global $xoopsDB;

	if( isset($_GET['meet_id']) ) {		
		$meet_id = $_GET['meet_id'];

		$sql = sprintf("DELETE FROM %s WHERE meet_id = %u", $xoopsDB->prefix("abibase_meetings"), $meet_id);		
		if ( $xoopsDB->queryF($sql) ) {
			redirect_header("index.php", 1, 'OK');
		} else {
			print "Error - Could not delete meeting ($meet_id)<br  />";
			print $sql;
		}
		exit();
	} // if $meet_id
	exit();
}
// ----------------- dispatching functions by page parameter

if(!isset($HTTP_POST_VARS['op'])) {
	$op = isset($HTTP_GET_VARS['op']) ? $HTTP_GET_VARS['op'] : 'main';
} else {
	$op = $HTTP_POST_VARS['op'];
}

switch ($op) {
case "School":
	editSchool();
	break;
case "insUpdSchool":
	insUpdSchool();
	break;
// ---------------------------------
case "Meetings":
	listMeetings();
	break;
case "newMeeting":
	newMeeting();
	break;
case "editMeeting":
	editMeeting();
	break;
case "insertMeeting":
	insUpdMeeting("insert");
	break;
case "updateMeeting":
	insUpdMeeting("update");
	break;
case "deleteMeeting":
	deleteMeeting();
	break;
// ---------------------------------
case "Teachers":
	listTeachers();
	break;
case "newTeacher":
	newTeacher();
	break;
case "editTeacher":
	editTeacher();
	break;
case "insertTeacher":
	insUpdTeacher("insert");
	break;
case "updateTeacher":
	insUpdTeacher("update");
	break;
case "deleteTeacher":
	deleteTeacher(); 
// ---------------------------------
case "Students":
	listStudents();
	break;
case "newStudent":
	newStudent();
	break;
case "editStudent":
	editStudent();
	break;
case "insertStudent":
	insUpdStudent('insert');
	break;
case "updateStudent":
	insUpdStudent('update');
	break;
case "deleteStudent":
	deleteStudent(); 
case "main":
default:
	// show admin menu
	displayAdminMenu();
	break;
}
?>
