<?php
// -------------------------------------------------------------------------
//   AbiBase - XOOPS Module by Mario Nenno, GNU GPL Licenced
// 
//                         File: abibase/include/functions.php
//
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //


/** 
  * check whether visitor is logged, in Abibase group or Admin
  * 
  * @param Object Xoops user object
  * @param String Name of AbiBase group
  * @return Boolean true or false
  */
function isVisitorInGroup($xoopsUser, $groupToSearch)
{
	global $xoopsDB, $xoopsUserIsAdmin;
	
	// --------------------------------------------------------
	//  search for user group for AbiBase and ge group ID
	$AbbGroupId = 0;
	$sql = sprintf("SELECT groupid FROM %s WHERE name LIKE '%s'"
				, $xoopsDB->prefix('groups'), $groupToSearch);
				
	$result = $xoopsDB->query($sql);
	if ($result) {
		while ($myrow = $xoopsDB->fetchArray($result)) {
	            $AbbGroupId = $myrow['groupid'];
	        } // while
	}// if !$result
	

	// --------------------------------------
	//  if logged in and in group or Admin
	$isUserInGroup = false;
	if ( ($AbbGroupId > 0) && ($xoopsUser)  ) {
		
		// get list of groups for user
		$groups = $xoopsUser->getGroups();
				
		// has id of Abibase group or is Admin
		if ( in_array($AbbGroupId, $groups) || ($xoopsUserIsAdmin)  ) {
			$isUserInGroup = true;
		}
	}
	
	if ($isUserInGroup) {
		return true;
	} else {
		return false;
	}
} // function

/**
  * returns string in single quotes
  */
function quoteString4DB($mystring)
{
	return "'". $mystring ."'";
}


/**
  * number of records in tables of school, students, teachers and meetings
  * 
  * @param one of ( school, students, teachers, meetings)
  * @return Integer number of records
  */
function getCounter($ofwhom="")
{
        global $xoopsDB;
        $counter = 0;

	// check parameter and set the related table name
	$tableName = false;
	switch ($ofwhom) {
	case "school":
		$tableName = 'abibase_school';
		break;
	case "students":
		$tableName = 'abibase_students';
		break;
	case "teachers":
		$tableName = 'abibase_teachers';
		break;
	case "meetings":
		$tableName = 'abibase_meetings';
		break;
	} // switch
	
	
	if ( !$tableName ) {
		return null;
	} else {
		// Check OK, get number of records in the table

	        $query = "SELECT count(*)  FROM ".$xoopsDB->prefix($tableName);
		$result = $xoopsDB->query($query);
		list($cnt) = $xoopsDB->fetchRow($result);
		return $cnt;
	}
} // function

?>
