<?php
// -------------------------------------------------------------------------
//   AbiBase - XOOPS Module by Mario Nenno, GNU GPL Licenced
// 
//                         File: abibase/index.php
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //


// load the main.php form XOOPS root
include 'header.php';

// module specific functions
include 'include/functions.php';

// set the template
$xoopsOption['show_rblock'] = 0; // does not work yet
$xoopsOption['template_main'] = 'abb_mainmenu.html';

include XOOPS_ROOT_PATH."/header.php";
$xoopsTpl->assign('mod_name', _MI_ABB_NAME);
$xoopsTpl->assign('mod_desc', _MI_ABB_DESC);

$xoopsTpl->assign('students', _ABB_STUDENTS);
$xoopsTpl->assign('teachers', _ABB_TEACHERS);
$xoopsTpl->assign('school', _ABB_SCHOOL);
$xoopsTpl->assign('meetings', _ABB_MEETINGS);

$xoopsTpl->assign('lbl_school_name', _COL_SCHOOLNAME);
$xoopsTpl->assign('lbl_school_type', _COL_SCHOOLTYPE);
$xoopsTpl->assign('lbl_school_homepage', _COL_HOMEPAGE);
$xoopsTpl->assign('lbl_school_address', _COL_ADDRESS);
$xoopsTpl->assign('lbl_lastyear', _COL_LASTYEAR);


$xoopsTpl->assign('link_students', 'view_students.php');
$xoopsTpl->assign('link_teachers', 'view_teachers.php');
$xoopsTpl->assign('link_meetings', 'view_meetings.php');


// pass data from DB to tempate (use the first and only record)
$result = $xoopsDB->query("SELECT * FROM " . $xoopsDB->prefix("abibase_school"));
while ( list($id, $type, $name, $address, $city, $state, $zip, $country, $url, $lastyear) = $xoopsDB->fetchRow($result)) {

	$xoopsTpl->assign('school_type'   , $type);
	$xoopsTpl->assign('school_name'   , $name);
	$xoopsTpl->assign('school_address', $address);
	$xoopsTpl->assign('school_city'   , $city);
	$xoopsTpl->assign('school_state'  , $state);
	$xoopsTpl->assign('school_zip'    , $zip);
	$xoopsTpl->assign('school_country', $country);
	$xoopsTpl->assign('school_url'    , $url);
	$xoopsTpl->assign('school_lastyear' , $lastyear);

} // END while $result

// --------- Number of students, teachers, meetings
$xoopsTpl->assign('cnt_school'   , getCounter('school') );
$xoopsTpl->assign('cnt_students', getCounter('students') );
$xoopsTpl->assign('cnt_teachers'   , getCounter('teachers') );
$xoopsTpl->assign('cnt_meetings'   , getCounter('meetings') );

include XOOPS_ROOT_PATH."/footer.php";
?>